%{!?_with_valgrind: %define _with_valgrind 0}
%{!?_disable_valgrind: %define _disable_valgrind 0}

%if 0%{?rhel} != 0
%if 0%{_disable_valgrind} == 0
%define _with_valgrind 1
%endif
%endif

%define ver 41mlnx1

Name: libibcm
Version: 41mlnx1
Release: OFED.4.1.0.1.0.49408
Summary: Userspace InfiniBand Communication Manager.

Group: System Environment/Libraries
License: GPL/BSD
Url: http://www.openfabrics.org/
Source: http://www.openfabrics.org/downloads/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if %{_with_valgrind}
BuildRequires: valgrind-devel
%endif

%description
libibcm provides a userspace InfiniBand Communication Managment library.

%package devel
Summary: Development files for the libibcm library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} %{_includedir}/infiniband/verbs.h

%description devel
Development files for the libibcm library.

%prep
%setup -q -n %{name}-%{ver}

%build
%if %{_with_valgrind}
%configure %{?configure_options} --libdir=%{_libdir}/mlnx_ofed/valgrind --with-valgrind
make %{?_smp_mflags}
make DESTDIR=$RPM_BUILD_DIR/%{name}-%{version}/valgrind install
rm -f $RPM_BUILD_DIR/%{name}-%{version}/valgrind/%{_libdir}/mlnx_ofed/valgrind/*.*a
make clean
%endif

%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%if %{_with_valgrind}
mkdir -p %{buildroot}/%{_libdir}/mlnx_ofed
cp -a $RPM_BUILD_DIR/%{name}-%{version}/valgrind/%{_libdir}/mlnx_ofed/valgrind %{buildroot}/%{_libdir}/mlnx_ofed
%endif
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libibcm*.so.*
%if %{_with_valgrind}
%{_libdir}/mlnx_ofed/valgrind/libibcm*
%endif
%doc AUTHORS COPYING ChangeLog README

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_includedir}/*
